Subject: bug#23478: 25.0.93; Mouse region selection asymmetry

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jul 2016 18:38:39 +0300

> From: Stephen Berman <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sun, 03 Jul 2016 16:33:55 +0200
> 
> > Eli Zaretskii <[email-masked]> writes:
> >
> >>> From: Stephen Berman <[email-masked]>
> >>> Do you really think this should be conditioned by a user option?
> >>
> >> I do, but let's hear from others.  Anyone?
> >
> > This behaviour seems much preferable to me, since otherwise it's not
> > clear which text gets selected.  I'm not in favour of adding an option,
> > but if there must be one, at least let this new behaviour be the
> > default.
> 
> I agree on both points (prefer no option, but if so default to new).
> 
> > Regarding the code, I notice that using (sit-for 0) works as well.
> 
> Thanks.  Indeed, even a negative number works.  But zero does seem the
> least arbitrary.
> 
> > A comment to explain what the calls are for would be nice.
> 
> I'll do that when the final version is settled on.  Eli, John, what's
> the decision on making this behavior customizable (and if yes, what
> default)?

I think backward-incompatible behavior should almost always be opt-in,
unless we have no choice.